Subject: Re: Confused about `git gc`

From: Jakub Narebski <[email-masked]>
Date: Tue, 09 Jun 2009 03:45:40 -0700 (PDT)

Yakup Akbay <[email-masked]> writes:

> Looks like I didn't quite understand the actual role of `git gc`. I
> just thought that `git gc` would remove all unreferenced objects
> during the unpack-pack process. However, I'm not seeing the result
> what I was expecting from `git gc`.
> 
> I'm adding an object into the database, which is ignored by git. Then
> I expect the object to be removed after `git gc`. But, it's still
> there.

[...]
> What am I overlooking?

You are probably overlooking the safety introduced to "git gc" to make
it safer against concurrently run git operations, namely the fact that
it would not remove new loose objects (it would remove loose objects
only when they are old enough).

-- 
Jakub Narebski
Poland
ShadeHawk on #git